package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 自定义流程列表
 * </p>
 *
 * @author wangliang
 * @since 2022-02-18
 */
@ApiModel(value = "TFCustomFlowEntity对象", description = "自定义流程实体")
public class TFCustomFlowEntity extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自定义流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tFCustomFlowId;

    @ApiModelProperty(value = "流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowId;

    @ApiModelProperty(value = "流程过程变量数据")
    private String flowProcessVar;

    public TFCustomFlowEntity() {

    }

    public TFCustomFlowEntity(Long tFCustomFlowId, Long userId) {
        this.tFCustomFlowId = tFCustomFlowId;
        this.insertInfo(userId);
    }

    public TFCustomFlowEntity(Long tFCustomFlowId, String flowProcessVar, Long userId) {
        this.tFCustomFlowId = tFCustomFlowId;
        this.flowProcessVar = flowProcessVar;
        this.insertInfo(userId);
    }

    public TFCustomFlowEntity(Long tFCustomFlowId, Long flowId, String flowProcessVar, Long userId) {
        this.tFCustomFlowId = tFCustomFlowId;
        this.flowId = flowId;
        this.flowProcessVar = flowProcessVar;
        this.insertInfo(userId);
    }

    public Long gettFCustomFlowId() {
        return tFCustomFlowId;
    }

    public void settFCustomFlowId(Long tFCustomFlowId) {
        this.tFCustomFlowId = tFCustomFlowId;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getFlowProcessVar() {
        return flowProcessVar;
    }

    public void setFlowProcessVar(String flowProcessVar) {
        this.flowProcessVar = flowProcessVar;
    }
}
